Bug 826446 - AttributeError: 'YumConf' object has no attribute 'conf'
AttributeError: 'YumConf' object has no attribute 'conf'
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum-utils (Show other bugs)
6.3
Unspecified Unspecified
medium Severity low
: rc
: ---
Assigned To: Valentina Mukhamedzhanova
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 04:29 EDT by Jakub Dorňák
Modified: 2016-11-30 19:58 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-12 11:02:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jakub Dorňák 2012-05-30 04:29:23 EDT
Description of problem:
# yum-config-manager --save
Produces traceback because of unhandled exception.

Version-Release number of selected component (if applicable):
yum-utils-1.1.30-10.el6.noarch

How reproducible:


Steps to Reproduce:
1. install compose
2. run # yum-config-manager --save
  
Actual results:
Traceback in stderr:

Traceback (most recent call last):
  File "/usr/bin/yum-config-manager", line 154, in <module>
    writeRawConfigFile(fn, 'main', ybc.conf.yumvar,
AttributeError: 'YumConf' object has no attribute 'conf'

Expected results:
empty  stderr
Comment 3 RHEL Product and Program Management 2012-07-10 04:35:10 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 RHEL Product and Program Management 2012-07-10 22:12:25 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 5 RHEL Product and Program Management 2012-09-07 01:36:06 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 6 James Antill 2013-04-12 14:59:23 EDT
:( ... shows how much this feature is used, I guess...

commit 2aac1b1c8b3f5ada029d6772ee6f9bb7c63be172
Author: Seth Vidal <skvidal@fedoraproject.org>
Date:   Mon Jul 25 11:17:30 2011 -0400

    typo leaving .conf in ybc.conf.yumvar should just be ybc.yumvar
Comment 9 RHEL Product and Program Management 2013-10-13 20:38:29 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 10 Karel Srot 2015-10-12 11:02:17 EDT
Already fixed.

$ rpm -q yum
yum-3.2.29-69.el6.noarch

$ grep writeRawConfigFile /usr/bin/yum-config-manager
def writeRawConfigFile(filename, section_id, yumvar,
        writeRawConfigFile(fn, 'main', ybc.yumvar,
            writeRawConfigFile(repo.repofile, repo.id, repo.yumvar,

Note You need to log in before you can comment on or make changes to this bug.